// pages/yuezhan/html_detail/index.js.js
const WxParse = require('../../../common/component/wxParse/wxParse.js');
const { recordAccess } = require('../../../utils/util.js');
const { serverName, request } = require('../../../utils/services');

const app = getApp();

Page({

  /**
   * 页面的初始数据
   */
  data: {
    forwardImg: 'https://4dscene.4dage.com/cgaii/images/join/forwardImg.jpg'
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    recordAccess(options)
    console.log(options)
    let { imageUrl, relayUrl, id: sceneId, isShare } = options;
    this.setData({
      imageUrl,
      relayUrl,
      sceneId
    })
    let {
      bannerHtml
    } = app.globalData

    if (isShare){
      this.getHtml()
    }else{
      WxParse.wxParse('description', 'html', bannerHtml, this, 5);
    }

  },

  getHtml:function(){
    let {sceneId} =  this.data
    request["getBannerDetail"]({
      bannerId: sceneId
    }, "", res => {
      let { description} = res.data.data
      WxParse.wxParse('description', 'html', description, this, 5);
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {
    let { sceneId, imageUrl, relayUrl, forwardImg } = this.data;
    return {
      path: `/pages/yuezhan/html_detail/index?id=${sceneId}&isShare=1&imageUrl=${imageUrl}&relayUrl=${relayUrl}`,
      imageUrl: relayUrl || imageUrl || forwardImg
    }
  }
})